package com.mx.cneeds.server.user.mqtt.utils;

import com.mx.cneeds.server.user.mqtt.event.MqttEvent;
import org.springframework.stereotype.Component;

/**
 * @ClassName EmqttPredicate
 * @Author zzrdark
 * @Date 2019-12-26 15:11
 * @Description TODO
 **/
@Component
public class EmqttPredicate {
    public Boolean test(MqttEvent event){
        //测试内容

        return Boolean.FALSE;
    }

    public Boolean isDeviceTopic(MqttEvent event){
        if (event.getTopic().contains("device/")){
            return true;
        }else {
            return false;
        }
    }
}
